"use strict";
exports.__esModule = true;
exports.HeaderModule = exports.HeaderMenuMobile = exports.HeaderMenu = exports.HeaderLogo = exports.Header = exports.cnHeader = void 0;
var tslib_1 = require("tslib");
// @ts-nochecks
require("./Header.css");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var bem_1 = require("../../utils/bem");
exports.cnHeader = (0, bem_1.cn)('Header');
function Header(props) {
    var leftSide = props.leftSide, rightSide = props.rightSide, className = props.className, hovered = props.hovered, _a = props.fixed, fixed = _a === void 0 ? true : _a, scrolling = props.scrolling, openMobileMenu = props.openMobileMenu, inverted = props.inverted, otherProps = (0, tslib_1.__rest)(props, ["leftSide", "rightSide", "className", "hovered", "fixed", "scrolling", "openMobileMenu", "inverted"]);
    return (react_1["default"].createElement("header", (0, tslib_1.__assign)({}, otherProps, { className: (0, exports.cnHeader)({ hovered: hovered, fixed: fixed, scrolling: scrolling, openMobileMenu: openMobileMenu, inverted: inverted }, [className]) }),
        react_1["default"].createElement("div", { className: "container" },
            leftSide && react_1["default"].createElement("div", { className: (0, exports.cnHeader)('LeftSide') }, leftSide),
            rightSide && react_1["default"].createElement("div", { className: (0, exports.cnHeader)('RightSide') }, rightSide))));
}
exports.Header = Header;
var HeaderLogo_1 = require("./Logo/HeaderLogo");
(0, tslib_1.__createBinding)(exports, HeaderLogo_1, "HeaderLogo");
var HeaderMenu_1 = require("./Menu/HeaderMenu");
(0, tslib_1.__createBinding)(exports, HeaderMenu_1, "HeaderMenu");
var HeaderMenuMobile_1 = require("./Menu/HeaderMenuMobile");
(0, tslib_1.__createBinding)(exports, HeaderMenuMobile_1, "HeaderMenuMobile");
var HeaderModule_1 = require("./Module/HeaderModule");
(0, tslib_1.__createBinding)(exports, HeaderModule_1, "HeaderModule");
